import 'package:json_annotation/json_annotation.dart';
import "attrValue.dart";
part 'productAttr.g.dart';

@JsonSerializable()
class ProductAttr {
    ProductAttr();

    num product_id;
    String attr_name;
    List<String> attr_values;
    num type;
    List<AttrValue> attr_value;
    
    factory ProductAttr.fromJson(Map<String,dynamic> json) => _$ProductAttrFromJson(json);
    Map<String, dynamic> toJson() => _$ProductAttrToJson(this);
}
